package cn.ibizlab.ehr.core.soc.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.ehr.core.soc.domain.SocArchivesDetail;
import cn.ibizlab.ehr.core.soc.filter.SocArchivesDetailSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SocArchivesDetail] 服务对象接口
 */
public interface ISocArchivesDetailService extends IService<SocArchivesDetail>{

    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean save(SocArchivesDetail et) ;
    void saveBatch(List<SocArchivesDetail> list) ;
    boolean checkKey(SocArchivesDetail et) ;
    boolean create(SocArchivesDetail et) ;
    void createBatch(List<SocArchivesDetail> list) ;
    SocArchivesDetail get(String key) ;
    boolean update(SocArchivesDetail et) ;
    void updateBatch(List<SocArchivesDetail> list) ;
    SocArchivesDetail getDraft(SocArchivesDetail et) ;
    Page<SocArchivesDetail> searchDefault(SocArchivesDetailSearchContext context) ;
    List<SocArchivesDetail> selectBySocarchivesid(String socarchivesid) ;
    void removeBySocarchivesid(String socarchivesid) ;
    List<SocArchivesDetail> selectBySocruledetailid(String socruledetailid) ;
    void removeBySocruledetailid(String socruledetailid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<SocArchivesDetail> getSocarchivesdetailByIds(List<String> ids) ;
    List<SocArchivesDetail> getSocarchivesdetailByEntities(List<SocArchivesDetail> entities) ;

}


